[ Tklib Home | Main Table Of Contents | Table Of Contents | Keyword Index | Categories | Modules | Applications ]

# widget_dateentry(n) 0.96 tklib "Various megawidgets"

## Name

widget_dateentry - Date Entry Megawidget

## Synopsis

- package require Tcl 8.4
- package require Tk 8.4
- package require widget ?3.0?
- package require widget::dateentry ?0.96?

- widget::dateentry pathname ?options?

## Description

This package provides a dateentry megawidget (snidget). It is based on an ttk::entry. All widget commands of the ttk::entry are available for the dateentry.

widget::dateentry pathname ?options?

## WIDGET OPTIONS

-command

  A script to evaluate when a date was selected.

-dateformat

  The format of the date that is returned. Default: %m/%d/%Y.

-firstday

  See the calendar man page.

-font

  Select the font used in the widget. It defaults to Helvetica 9.

-highlightcolor

  See the calendar man page.

-language

  See the calendar man page.

-shadecolor

  See the calendar man page.

-showpast

  See the calendar man page.

-textvariable

  Specifies the name of a variable whose value is linked to the entry widget's contents. Whenever the variable changes value, the widget's contents are updated, and vice versa.

## WIDGET COMMAND

pathname get Returns the selected date.

## DEFAULT BINDINGS

On creation of the dateentry widget the following bindings are installed. For navigation within the calendar, see its manpage.

- Button-1 - Accept and select the date and close the calendar window.

- Return, space - Accept the selected date and close the calendar window

- Escape - Close calendar window

- Control-space - Show calendar window

## EXAMPLE

        package require widget::dateentry; # or widget::all
        set t [widget::dateentry .de]
        pack $t -fill x -expand 1

## Bugs, Ideas, Feedback

This document, and the package it describes, will undoubtedly contain bugs and other problems. Please report such in the category widget::dateentry of the Tklib Trackers. Please also report any ideas for enhancements you may have for either package and/or documentation.

## Keywords

date, dateentry, megawidget, snit, widget

## Category

Widget